LTTNG-IOLATENCYSTATS(1)

NAME
lttng-iolatencystats - LTTng analyses IO latency statistics

DESCRIPTION
usage: lttng-iolatencystats [-h] [-r REFRESH] [--limit LIMIT] [--no-progress]

[--skip-validation] [--gmt] [--begin BEGIN]
    [--end END] [--timerange TIMERANGE] [--procname PROCNAME] [--pid PID] [--max MAX] [--min MIN] [--maxsize MAXSIZE] [--minsize MINSIZE] [--log] [--usage] [--latencystats] [--latencytop] [--latencyfreq] [--freq-resolution FREQ_RESOLUTION] [-V] <path/to/trace>

The I/O command.

  positional arguments:

<path/to/trace>
    trace path

  optional arguments:

-h, --help
    show this help message and exit

-r REFRESH, --refresh REFRESH
    Refresh period in seconds

--limit LIMIT
    Limit to top X (default = 10)

--no-progress
    Don't display the progress bar

--skip-validation
    Skip the trace validation

--gmt
    Manipulate timestamps based on GMT instead of local time

--begin BEGIN
    start time: hh:mm:ss[.nnnnnnnnn]

--end END
    end time: hh:mm:ss[.nnnnnnnnn]

--timerange TIMERANGE
    time range: [begin,end]

--procname PROCNAME
    Filter the results only for this list of process names

--pid PID
    Filter the results only for this list of PIDs

--max MAX
    Filter out, duration longer than max usec

--min MIN
    Filter out, duration shorter than min usec

--maxsize MAXSIZE
    Filter out, I/O operations working with more that maxsize bytes

--minsize MINSIZE
    Filter out, I/O operations working with less that minsize bytes

--log
    Display the events in the order they appeared

--usage
    Show the I/O usage

--latencystats
    Show the I/O latency statistics

--latencytop
    Show the I/O latency top

--latencyfreq
    Show the I/O latency frequency distribution

--freq-resolution FREQ_RESOLUTION
    Frequency distribution resolution (default 20)

-V, --version
    show program's version number and exit